commit 05ffc649504f1eff8cd044565997754a301aaf1d
Author: Torbjörn SVENSSON <torbjorn.svensson@foss.st.com>
Date:   Sat Oct 19 19:55:51 2024 +0200

    testsuite: arm: Use effective-target for data-intrinsics-assembly test
    
    The expected assembler in the test case assumes -marm, so explicily
    require it.
    
    gcc/testsuite/ChangeLog:
    
            * gcc.target/arm/acle/data-intrinsics-assembly.c: Use
            effective-target arm_arch_v6_arm.
    
    Signed-off-by: Torbjörn SVENSSON <torbjorn.svensson@foss.st.com>
    (cherry picked from commit 7b2e6e6be6fdb3cbb2e21e190a981731b322bf4f)

diff --git a/gcc/testsuite/gcc.target/arm/acle/data-intrinsics-assembly.c b/gcc/testsuite/gcc.target/arm/acle/data-intrinsics-assembly.c
index 478cbde1600..f0f583734e8 100644
--- a/gcc/testsuite/gcc.target/arm/acle/data-intrinsics-assembly.c
+++ b/gcc/testsuite/gcc.target/arm/acle/data-intrinsics-assembly.c
@@ -1,9 +1,9 @@
 /* Test the ACLE data intrinsics get expanded to the correct instructions on a specific architecture  */
 /* { dg-do assemble } */
 /* { dg-require-effective-target arm_softfp_ok } */
-/* { dg-require-effective-target arm_arch_v6_ok } */
+/* { dg-require-effective-target arm_arch_v6_arm_ok } */
 /* { dg-additional-options "--save-temps -O1" } */
-/* { dg-add-options arm_arch_v6 } */
+/* { dg-add-options arm_arch_v6_arm } */
 /* { dg-final { check-function-bodies "**" "" "" } } */
 
 #include "arm_acle.h"

